Subject: [PATCH 0/3] gnu: wlroots: update on mesa-updates
From: Rutherther <[email-masked]>
To: [email-masked]
Cc: John Kehayias <[email-masked]>, Rutherther <[email-masked]>
Date: Sun, 08 Sep 2024 17:27:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello all,

This patch series adds wlroots 0.18. To do that, I've also
updated wayland to 1.23. This patch series should be applied
onto mesa-updates, since it requires libdrm >=2.4.122 that is
not present on master branch.

Since wlroots introduces breaking changes in all major releases,
and decided to rename wlroots.pc to wlroots-version.pc, I've made
sure to expose all wlroots versions with symbol wlroots-X.XX. I've
kept the wlroots symbol pointing to wlroots-0.17 to make sure
no breakage of existing packages occurs.

I've also removed no longer necessary wlroots-hwdata-fallback.patch,
as that one was provided to make sure hwdata was found when it was
not using pkgconfig. Hwdata started using pkgconfig, so now the patch
is no longer necessary.

Regards,
Rutherther

Rutherther (3):
  gnu: wayland: Update to 1.23.1
  gnu: wlroots: add 0.18
  gnu: wlroots: Remove hwdata patch

 gnu/local.mk                                  |  1 -
 gnu/packages/freedesktop.scm                  |  4 +-
 .../patches/wlroots-hwdata-fallback.patch     | 46 -------------------
 gnu/packages/wm.scm                           | 29 +++++++++---
 4 files changed, 24 insertions(+), 56 deletions(-)
 delete mode 100644 gnu/packages/patches/wlroots-hwdata-fallback.patch

base-commit: fafd0245505fad7629ec98cef8d15e6e478f3f98
--
2.46.0